# LapsingPokemonHeldItemModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class LapsingPokemonHeldItemModifier`Abstract`

#### Hierarchy (View Summary)

- PokemonHeldItemModifier
  - LapsingPokemonHeldItemModifier

- Defined in src/modifier/modifier.ts:754

##### Index

### Constructors

constructor

### Properties

battlesLeft
isTransferable
pokemonId
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getBattlesLeft
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getStackCount
incrementStack
isIconVisible
lapse
match
matchType
shouldApply

## Constructors

### constructor

- new LapsingPokemonHeldItemModifier(
  type: ModifierType ,
  pokemonId: number,
  battlesLeft?: number,
  stackCount?: number,
  ): LapsingPokemonHeldItemModifier

  #### Parameters

  - type: ModifierType
  - pokemonId: number
  - `Optional` battlesLeft: number
  - `Optional` stackCount: number

  #### Returns LapsingPokemonHeldItemModifier

  Overrides PokemonHeldItemModifier.constructor

  - Defined in src/modifier/modifier.ts:758

## Properties

### `Protected` battlesLeft

battlesLeft: number

- Defined in src/modifier/modifier.ts:755

### isTransferable

isTransferable: boolean = false

Overrides PokemonHeldItemModifier.isTransferable

- Defined in src/modifier/modifier.ts:756

### pokemonId

pokemonId: number

Inherited from PokemonHeldItemModifier.pokemonId

- Defined in src/modifier/modifier.ts:656

### stackCount

stackCount: number

Inherited from PokemonHeldItemModifier.stackCount

- Defined in src/modifier/modifier.ts:186

### type

type: ModifierType

Inherited from PokemonHeldItemModifier.type

- Defined in src/modifier/modifier.ts:159

### virtualStackCount

virtualStackCount: number

Inherited from PokemonHeldItemModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:187

## Methods

### add

- add(modifiers: PersistentModifier [], virtual: boolean): boolean

  #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.add

  - Defined in src/modifier/modifier.ts:195

### `Abstract` apply

- apply(pokemon: default , ...args: unknown[]): boolean

  Applies the `PokemonHeldItemModifier` to the given `Pokemon`.

  #### Parameters

  - pokemon: default

    The `Pokemon` that holds the held item

  - ...args: unknown[]

    additional parameters

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.apply

  - Defined in src/modifier/modifier.ts:680

### `Abstract` clone

- clone(): PersistentModifier

  #### Returns PersistentModifier

  Inherited from PokemonHeldItemModifier.clone

  - Defined in src/modifier/modifier.ts:210

### getArgs

- getArgs(): any[]

  #### Returns any[]

  Inherited from PokemonHeldItemModifier.getArgs

  - Defined in src/modifier/modifier.ts:671

### getBattlesLeft

- getBattlesLeft(): number

  #### Returns number

  - Defined in src/modifier/modifier.ts:795

### getIcon

- getIcon(forSummary?: boolean): Container

  Retrieve the `Modifiers` icon as a Phaser.GameObjects.Container | Container

  #### Parameters

  - `Optional` forSummary: boolean

    `true` if the icon is for the summary screen

  #### Returns Container

  the icon as a Phaser.GameObjects.Container | Container

  Overrides PokemonHeldItemModifier.getIcon

  - Defined in src/modifier/modifier.ts:778

### getIconStackText

- getIconStackText(virtual?: boolean): null | BitmapText

  #### Parameters

  - `Optional` virtual: boolean

  #### Returns null | BitmapText

  Inherited from PokemonHeldItemModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:260

### `Abstract` getMaxHeldItemCount

- getMaxHeldItemCount(pokemon?: default ): number

  #### Parameters

  - `Optional` pokemon: default

  #### Returns number

  Inherited from PokemonHeldItemModifier.getMaxHeldItemCount

  - Defined in src/modifier/modifier.ts:751

### getMaxStackCount

- getMaxStackCount(_forThreshold?: boolean): number

  #### Parameters

  - `Optional`_forThreshold: boolean

  #### Returns number

  Overrides PokemonHeldItemModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:799

### getPokemon

- getPokemon(): undefined | default

  #### Returns undefined | default

  Inherited from PokemonHeldItemModifier.getPokemon

  - Defined in src/modifier/modifier.ts:729

### getScoreMultiplier

- getScoreMultiplier(): number

  #### Returns number

  Inherited from PokemonHeldItemModifier.getScoreMultiplier

  - Defined in src/modifier/modifier.ts:733

### getStackCount

- getStackCount(): number

  #### Returns number

  Inherited from PokemonHeldItemModifier.getStackCount

  - Defined in src/modifier/modifier.ts:229

### incrementStack

- incrementStack(amount: number, virtual: boolean): boolean

  #### Parameters

  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.incrementStack

  - Defined in src/modifier/modifier.ts:216

### isIconVisible

- isIconVisible(): boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:692

### lapse

- lapse(..._args: unknown[]): boolean

  Lapse the `battlesLeft` counter (reduce it by 1)

  #### Parameters

  - ..._args: unknown[]

    arguments passed (not used here)

  #### Returns boolean

  `true` if `battlesLeft` is not null

  - Defined in src/modifier/modifier.ts:769

### match

- match(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.match

  - Defined in src/modifier/modifier.ts:667

### `Abstract` matchType

- matchType(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.matchType

  - Defined in src/modifier/modifier.ts:665

### shouldApply

- shouldApply(pokemon?: default , ..._args: unknown[]): boolean

  Checks if `PokemonHeldItemModifier` should be applied.

  #### Parameters

  - `Optional` pokemon: default

    The `Pokemon` that holds the item

  - ..._args: unknown[]

    N/A

  #### Returns boolean

  if `PokemonHeldItemModifier` should be applied

  Inherited from PokemonHeldItemModifier.shouldApply

  - Defined in src/modifier/modifier.ts:688